epr_d = 1;
epr_s = 2;

freq=10e7;
omega=2*pi*freq;
c0=3e8;             %speed velocity
lambda=c0/freq;
k=omega/c0;

r1=lambda/5;       %radius of the inner circle
L=lambda;          %radius of the outer circle

h=(L-r1)/12;
Mesh = mesh_generation(h);

k = Mesh.k;

epr_d = 1;
epr_s = 2;
ks_sq = k*k*epr_s;
kd_sq = k*k*epr_d;

fprintf('\n##MassScattering')
MassScattering(Mesh.Coordinates(Mesh.Elements(1,:),:),2,ks_sq,kd_sq)

fprintf('\n##FHandle');
FHandle([0.5,0.7],2,ks_sq,kd_sq)

fprintf('\n##assemLoad_LFEScattering');
L=assemLoad_LFEScattering(Mesh,ks_sq,kd_sq);
L(1:10)

fprintf('\n##assemMat_LFEScattering');
A=assemMat_LFEScattering(Mesh,ks_sq,kd_sq);
A(1:10,1:10)

fprintf('\n##Helmholtz');
U=Helmholtz(Mesh,k,epr_d,epr_s);
U(1:10)